Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.keys
Class KeyUtils

`java.lang.Object
oracle.security.xmlsec.keys.KeyUtils`

public class KeyUtils
extends java.lang.Object

Utility class containing static methods for working with XML-DSIG KeyInfo elements and structures.

*** For internal use only. ***

Constructor Summary
`KeyUtils()`

Method Summary
`static KeyInfoData` | `createKeyInfoData(org.w3c.dom.Element element)` Creates a new instance of the implementation class for the given Element, and uses it to wrap the Element.
`static KeyInfoData` | `createKeyInfoData(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new instance of the implementation class for the given Element, and uses it to wrap the Element.
`static KeyName` | `createKeyName(org.w3c.dom.Document owner)` Creates a KeyName instance.
`static KeyValue` | `createKeyValue(org.w3c.dom.Document owner)` Creates a KeyValue instance.
`static KeyValue` | `createKeyValue(org.w3c.dom.Document owner, oracle.security.crypto.core.PublicKey publicKey)` Creates a KeyValue instance containing the given public key.
`static KeyValueData` | `createKeyValueData(org.w3c.dom.Element element)` Creates a new instance of the implementation class for the given Element, and uses it to wrap the Element.
`static KeyValueData` | `createKeyValueData(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new instance of the implementation class for the given Element, and uses it to wrap the Element.
`static MgmtData` | `createMgmtData(org.w3c.dom.Document owner)` Creates a MgmtData instance.
`static PGPData` | `createPGPData(org.w3c.dom.Document owner)` Creates a PGPData instance.
`static RetrievalMethod` | `createRetrievalMethod(org.w3c.dom.Document owner)` Creates a RetrievalMethod instance.
`static SPKIData` | `createSPKIData(org.w3c.dom.Document owner)` Creates a SPKIData instance.
`static X509Data` | `createX509Data(org.w3c.dom.Document owner)` Creates a X509Data instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyUtils

    public KeyUtils()

Method Detail

### createKeyInfoData

    public static KeyInfoData createKeyInfoData(org.w3c.dom.Element element)

  Creates a new instance of the implementation class for the given Element, and uses it to wrap the Element. The namespace and tag name are taken from the given Element.
  Parameters:
    `element` - The element to be wrapped.
  Returns:
    An instance of a subclass of `KeyInfoData`; a `GenericKeyInfo` is returned if a corresponding implementation class cannot be identified.

### createKeyInfoData

    public static KeyInfoData createKeyInfoData(org.w3c.dom.Element element,
                                                java.lang.String systemId)

  Creates a new instance of the implementation class for the given Element, and uses it to wrap the Element. The namespace and tag name are taken from the given Element.
  Parameters:
    `element` - The element to be wrapped.
    `systemId` - The URI string system ID of the `KeyInfoData`.
  Returns:
    An instance of a subclass of `KeyInfoData`; a `GenericKeyInfo` is returned if a corresponding implementation class cannot be identified.
  Since:
    2.0

### createKeyName

    public static KeyName createKeyName(org.w3c.dom.Document owner)

  Creates a KeyName instance.

### createMgmtData

    public static MgmtData createMgmtData(org.w3c.dom.Document owner)

  Creates a MgmtData instance.

### createPGPData

    public static PGPData createPGPData(org.w3c.dom.Document owner)

  Creates a PGPData instance.
  Since:
    1.1

### createSPKIData

    public static SPKIData createSPKIData(org.w3c.dom.Document owner)

  Creates a SPKIData instance.
  Since:
    1.1

### createX509Data

    public static X509Data createX509Data(org.w3c.dom.Document owner)

  Creates a X509Data instance.

### createRetrievalMethod

    public static RetrievalMethod createRetrievalMethod(org.w3c.dom.Document owner)

  Creates a RetrievalMethod instance.

### createKeyValue

    public static KeyValue createKeyValue(org.w3c.dom.Document owner)

  Creates a KeyValue instance.

### createKeyValue

    public static KeyValue createKeyValue(org.w3c.dom.Document owner,
                                          oracle.security.crypto.core.PublicKey publicKey)
                                   throws oracle.security.crypto.core.InvalidKeyException

  Creates a KeyValue instance containing the given public key.
  Throws:
    `oracle.security.crypto.core.InvalidKeyException`

### createKeyValueData

    public static KeyValueData createKeyValueData(org.w3c.dom.Element element)

  Creates a new instance of the implementation class for the given Element, and uses it to wrap the Element. The namespace and tag name are taken from the given Element.
  Parameters:
    `element` - The element to be wrapped.
  Returns:
    An instance of a subclass of `KeyValueData`; a `GenericKeyValue` is returned if a corresponding implementation class cannot be identified.

### createKeyValueData

    public static KeyValueData createKeyValueData(org.w3c.dom.Element element,
                                                  java.lang.String systemId)

  Creates a new instance of the implementation class for the given Element, and uses it to wrap the Element. The namespace and tag name are taken from the given Element.
  Parameters:
    `element` - The element to be wrapped.
    `systemId` - The URI string system ID of the `KeyValueData`.
  Returns:
    An instance of a subclass of `KeyValueData`; a `GenericKeyValue` is returned if a corresponding implementation class cannot be identified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.